Subject: bug#4820: 23.1.50; [PATCH] todo-mode.el

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 Nov 2009 17:26:32 -0500

> 1. emacs -Q with no existing file as the value of todo-file-do
> 2. M-x todo-show
> 3. Type `e' (todo-edit-item)
> => Args out of range: 60, 61

I've installed a different fix, which may not result in a clean error
message, but was needed for other reasons anyway.

> 1. emacs -Q
> 2. M-x todo-show
> 3. Type `i' and at the prompt a todo item, e.g "test", then RET to
>    display the item in the TODO buffer in the category "Todo"; note that
>    narrowing is in effect, as required by Todo mode.
> 4. Type `t' to display the Todo top priorities list in a window below
>    the window displaying the TODO buffer.
> 5. In the TODO buffer type `E' on the item to put it in Todo Edit mode
>    in the buffer *TODO Edit*.
> 6. Type C-x k to kill *TODO Edit* and return to the TODO buffer, which
>    remains unchanged.
> 7. In the TODO buffer type `t' again.
> => Now narrowing is no longer in effect in the TODO buffer.

Thank you.  I believe the fix to save-restriction I just installed
should make this workaround unnecessary.

        Stefan